Get DynDNS update logs for a domain

View the history of IP address updates for a specific DynDNS configuration associated with your domain. This is useful for troubleshooting if your dynamic IP address has changed and you need to verify that the DNS update was registered correctly.

Domain Services Domains

Context

Where to get IDs / values

Path Parameters

domainId integer · min: 1 required Example: 4755

Unique domain identifier

configId integer · min: 1 required Example: 132

Unique config identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.logs array<object> required · Example: [{"id":49443,"old_ip":"192.0.0.1","new_ip":"192.0.0.1","source_ip":"192.0.0.1","user_ag...
data.logs[].created_at string required · Example: 2026-02-10T00:00:00.000Z
data.logs[].error_message string · nullable required · Example: null

Nullable: may be null when not applicable.

data.logs[].id integer required · Example: 49443
data.logs[].new_ip string required · Example: 192.0.0.1
data.logs[].old_ip string · nullable required · Example: 192.0.0.1

Nullable: may be null when not applicable.

data.logs[].source_ip string required · Example: 192.0.0.1
data.logs[].status string · enum required · Example: no_change
no_change
success
data.logs[].user_agent string · enum required · Example: MikroTik
MikroTik
Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) QtWebEngine/6.8.2 Chrome/122.0.6261.171 Safari/537.36
curl/8.14.1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domains/{domainId}/dyndns/{configId}/logs
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domains/4755/dyndns/132/logs" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "logs": [
      {
        "id": 49443,
        "old_ip": "192.0.0.1",
        "new_ip": "192.0.0.1",
        "source_ip": "192.0.0.1",
        "user_agent": "MikroTik",
        "status": "no_change",
        "error_message": null,
        "created_at": "2026-02-10T00:00:00.000Z"
      },
      {
        "id": 49442,
        "old_ip": "192.0.0.1",
        "new_ip": "192.0.0.1",
        "source_ip": "192.0.0.1",
        "user_agent": "MikroTik",
        "status": "no_change",
        "error_message": null,
        "created_at": "2026-02-10T00:00:00.000Z"
      },
      {
        "_truncated": "... and 5 more items"
      }
    ]
  }
}